<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');
include($rutaPhp.$rutaHtml.'/librerias/calculadora.php');

?>
<h2>Orden de <?php echo ucfirst($_SESSION['accion']); ?> Nº <?php echo $_SESSION['ordenEtiquetadoPrecintado']['NumeroOrden']; ?></h2>
<?php

	$peticion='SGAPrecintados#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#CARGADETALLEETIPREC#'.$_SESSION['almacen'].';'.$_SESSION['ordenEtiquetadoPrecintado']['NumeroOrden'];
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	$_SESSION['etiquetado']=$resultado[0];
	$datos=$_SESSION['etiquetado']['Datos']['PXMobileProxiumResult'];

	
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($_SESSION['etiquetado']);
		
		echo "<p>Ultima cantidad etiquetada: ".$_SESSION['ultimaCantidadEtiquetadaPrecintada']."</p>";

	}
	
	if($_SESSION['etiquetado'] && !$_SESSION['etiquetado']['Error']) {
	
		?>
		<h3>Listado de productos:</h3>
		<table class="tablaFormateada anchoMaximo">
		<tr>
			<?php if(count($_SESSION['empresas'])>1) { ?><th>Emp.</th><?php } ?>
			<th>Código</th>
			<th>Descripción</th>
			<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
				<?php if($comportamiento['Activo']) { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
<?php } ?>
			<th>Cant.</th>
            <?php if($_SESSION['verEnCajas']=='S') { ?><th>Cajas</th><?php } ?>
		  </tr>
		 <tr>
			<?php if(count($_SESSION['empresas'])>1) { ?><td><?php echo $_SESSION['etiquetado']['Empresa']; ?></td><?php } ?>
			<td><?php echo $_SESSION['etiquetado']['Codigo']; ?></td>
			<td align="left"><?php echo $_SESSION['etiquetado']['Descripcion']; ?></td>
            <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
				<?php if($comportamiento['Activo']=='S') { ?>
                	<td>
						<?php
						foreach($datos as $dato) {
							if($dato['Codigo']==$comportamiento['Codigo']) {
								echo formateaTipo($dato['Valor'],$comportamiento['Tipo']);
								break;
							}	
						}
						?>                    </td>
				<?php } ?>
        	<?php } ?>
			<td align="right"><?php echo number_format($_SESSION['etiquetado']['Cantidad'],0,',','.'); ?><br /></td>
            <?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo number_format($_SESSION['etiquetado']['Cajas'],2,',','.'); ?></td><?php } ?>
		  </tr>
		</table>
		
        <?php
        if($_SESSION['verEnCajas']=='S' && $_SESSION['etiquetado']['EmbalajePrimarioCaja']) {
			$etiqueta="Cajas";
			$etiquetaInversa="Unidades";
			$cajas=true;
		}
		else {
			$etiqueta="Unidades";
			$etiquetaInversa="Cajas";
			$cajas=false;
		}
		?>
        <input type="hidden" name="cajas" id="cajas" value="<?php if($cajas) { ?>1<?php } else { ?>0<?php } ?>"/>
        <input type="hidden" name="EmbalajePrimarioCaja" id="EmbalajePrimarioCaja" value="<?php echo $_SESSION['etiquetado']['EmbalajePrimarioCaja']; ?>" />
        
		<p>Contenedor:<br />
        <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoContenedor" /><input name="contenedor" type="text" class="campo" id="contenedor" maxlength="11" style="font-size:2em;width:380px;height:43px;"/><img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarContenedor" class="boton-x" /> </p>
        
        <p>Cantidad (<span id="etiqueta"><?php echo $etiqueta; ?></span>)<br />
         <img src="<?php echo DIR_IMAGENES; ?>/<?php echo $etiquetaInversa; ?>.png" alt="Informar en <?php echo $etiqueta; ?>" class="iconoTeclado" id="iconoUnidades" /><input name="cantidad" type="text" class="campo cantidad" id="cantidad" style="font-size:2em;width:300px;height:43px;"/><img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarCantidad" class="boton-x" /></p>

		<br />

		<?php
		unset($_SESSION['parametros']);
		foreach($_SESSION['comportamientosGlobales'] as $comportamiento) {
			$valor='-';
			foreach($datos as $dato) if($dato['Codigo']==$comportamiento['Codigo']) { $valor=$dato['Valor']; break; }
			$_SESSION['parametros'].=';'.$valor;
		}
		//print_r($_SESSION['parametros']);
		
		$mostrarInfo=true;
		$mostrarPlay=true;
		
		include($rutaPhp.$rutaHtml.'/maqueta/menu-orden-etiquetado-precintado.php');
		
} else {
	
	//Si hay error, puede que la orden se haya terminado. La recorremos para comprobarlo, recargando datos.
	$hayIncompletos=false;
	
	$peticion='SGAPrecintados#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEETIPREC#'.$_SESSION['almacen'].';'.$_SESSION['ordenEtiquetadoPrecintado']['NumeroOrden'];
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	$_SESSION['ordenEtiquetadoPrecintado']=$resultado[0];
	
	if($_SESSION['ordenEtiquetadoPrecintado']['EstadoUsuario']=='Iniciada') {
		
		$productos=arreglaArrayPXMobileProxiumResult($_SESSION['ordenEtiquetadoPrecintado']['Productos']);
		foreach($productos as $producto) {
			if($producto['Cantidad']!=$producto['CantidadLeida']) $hayIncompletos=true;
		}
	}
	
	if(count($productos)>0 && !$hayIncompletos) { //PROCEDEMOS AL CIERRE
		
		if($_SESSION['accion']=='etiquetado') $parametroFinal='E';
		else $parametroFinal='P';
		
		$peticion='SGAPrecintados#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#CERRARETIPREC#'.$_SESSION['almacen'].';'.$_SESSION['ordenEtiquetadoPrecintado']['NumeroOrden'].';'.$parametroFinal.';'.$_SESSION['ultimaCantidadEtiquetadaPrecintada'];
		
		$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
		
		if($_GET['traza']=='si') {
			echo "<p>".$peticion."</p>";
			print_r($resultado);
		}
		
		$error=explode('#',$resultado[0]['Error']);
		
		if($error[0]=='0') {
			unset($_SESSION['ultimaCantidadEtiquetadaPrecintada']);
			?>
            <h3 style="margin:50px 0 50px 0"><?php echo $error[1]; ?></h3>
            <p><input type="submit" name="botonVolverListado" id="botonVolverListado" value="Volver al listado" class="boton" /></p>
            <?php
		}
		else {
			?><p class="error">ERROR: <?php echo $error[1]; ?></p><?php
		}
	}
	else {
		$error=explode("#",$_SESSION['etiquetado']['Error']);
		?><p class="error">ERROR: <?php echo $error[1]; ?></p><?php
	}
}
?>

<script>

<?php if($_SESSION['ordenEtiquetadoPrecintado']['EstadoUsuario']=='Iniciada' && $_SESSION['etiquetado'] && !$_SESSION['etiquetado']['Error']) { ?>

function validaContenedorCantidad() {

	if($('#contenedor').val()=='') {
		alert('Para continuar es necesario indicar el contenedor.');
		$('#contenedor').addClass('campoError');
		$('#contenedor').focus();
		return false;
	}
	/*
	else if( ( $('#cantidad').val()=='' || $('#cantidad').val()==0 ) && $('#incidencia').val()=='' ) {
		alert('Para continuar es necesario indicar la cantidad.'); // ATENCION!! SI DE DESCOMENTA ESTO, TENER EN CUENTA QUE LA FUNCION "ALERT" SE HA REPROGRAMADO
		$('#cantidad').addClass('campoError');
		$('#cantidad').focus();
		return false;
	}
	else if( $('#cantidad').val() != <?php echo $_SESSION['etiquetado']['Cantidad']; ?>) {
		confirm('ATENCION. La cantidad debe ser igual a la solicitada.'); // ATENCION!! SI DE DESCOMENTA ESTO, TENER EN CUENTA QUE LA FUNCION "CONFIRM" SE HA REPROGRAMADO
		$('#cantidad').addClass('campoError');
		$('#cantidad').focus();
		return false;
	}
	*/
	else return true;
	
}
<?php } ?>

$(document).ready(function() {
	
	<?php if($_SESSION['ordenEtiquetadoPrecintado']['EstadoUsuario']=='Iniciada' && $_SESSION['etiquetado'] && !$_SESSION['etiquetado']['Error']) { ?>
	
	$('#contenedor').focus();
	
	$('.continuar').on("click",function(e){

		e.preventDefault();
		
		if( validaContenedorCantidad() ) {
		
			$('#popupCargando').show();
			
			var valorCantidad;
			if( $('#cajas').val()==1 ) valorCantidad = parseInt( $('#cantidad').val() * $('#EmbalajePrimarioCaja').val() );
			else valorCantidad = $('#cantidad').val();
			
			$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-etiquetado-precintado-asignar.php?traza=<?php echo $_GET['traza']; ?>", { cantidad: valorCantidad, nuevoContenedor: $('#contenedor').val() } )
				.done(function(data) {
					<?php if($_GET['traza']=='si') { ?>
					alert(data);
					<?php } else { ?>
					var resultado=data.split('#');
					if(resultado[0]==1) {
						$('#popupCargando').hide();
						alert('Error: '+resultado[1]);
					}
					else window.location.reload();
					<?php } ?>
			});

		}
		
	});
	
	$('.cantidad').on("click",function(e) {
		$('#calculadora').show();
		$('#valorCalculadora').val( $(this).val() );
		$('#enterCalculadora').attr('campoValor',$(this).attr('id'));
	});
	
	$('#borrarContenedor').on("click",function(){
		$("#contenedor").val('');
		$("#contenedor").focus();
	});
	
	$('#borrarCantidad').on("click",function(){
		$("#cantidad").val('');
		$("#cantidad").focus();
	});

	$('#tecladoContenedor').on("click",function(){
		
		$('#teclado').show();
		$('#valor').val( $('#contenedor').val() );
		$('#valorOculto').val( $('#contenedor').val() );
		$('#enter').attr('campoValor','contenedor');
		
	});
	
	$('#iconoUnidades').on("click",function(e){
	
		if( $('#cajas').val()==1 ) {
			$(this).attr('src','img/Cajas.png');
			$('#cajas').val(0);
			$('#etiqueta').html('Unidades');
			
			var resultado = parseInt( $('#cantidad').val() * $('#EmbalajePrimarioCaja').val() );
			
			if(resultado>0) $('#cantidad').val( resultado );
		}
		else {
			$(this).attr('src','img/Unidades.png');
			$('#cajas').val(1);
			$('#etiqueta').html('Cajas');
			
			var flotante = parseFloat( $('#cantidad').val() / $('#EmbalajePrimarioCaja').val() );
			var resultado = Math.round(flotante*100)/100;
			
			if(resultado>0) $('#cantidad').val( resultado );
		}
	
	});
		
	<?php } ?>
	
	$('#botonVolverListado').on("click",function(e){
	
		e.preventDefault();
		window.location='<?php echo $rutaHtml; ?>/ordenes-etiquetado-precintado.php';
		
	});
	
});

</script>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
